Class List Method List File List

# Module: Vertx::SSLSupport

Included in:
  HttpClient, HttpServer, NetClient, NetServer
Defined in:
  src/main/ruby_scripts/core/ssl_support.rb

## Overview

A mixin module allowing SSL attributes to be set on classes

Author:

- Tim Fox

## Instance Method Summary (collapse)

- - (Object) key_store_password=(val)
  Set the password for the SSL key store.
- - (Object) key_store_path=(val)
  Set the path to the SSL key store.
- - (Object) ssl=(val)
  Set whether the server or client will use SSL.
- - (Object) trust_store_password=(val)
  Set the password for the SSL trust store.
- - (Object) trust_store_path=(val)
  Set the path to the SSL trust store.

## Instance Method Details

### - (`Object`) key_store_password=(val)

Set the password for the SSL key store. This method should only be used with the client in SSL mode, i.e. after #ssl= has been set to true.

Parameters:

- val. (`String`) —
  The password.

Returns:

- [] self. So multiple invocations can be chained.

    46
    47
    48
    49

    # File 'src/main/ruby_scripts/core/ssl_support.rb', line 46

    def key_store_password=(val)
      @j_del.setKeyStorePassword(val)
      self
    end

### - (`Object`) key_store_path=(val)

Set the path to the SSL key store. This method should only be used with the client/server in SSL mode, i.e. after #ssl= has been set to true. The SSL key store is a standard Java Key Store, and should contain the client/server certificate. For a client, it's only necessary to supply a client key store if the server requires client authentication via client certificates.

Parameters:

- val. (`String`) —
  The path to the key store

Returns:

- [] self. So multiple invocations can be chained.

    37
    38
    39
    40

    # File 'src/main/ruby_scripts/core/ssl_support.rb', line 37

    def key_store_path=(val)
      @j_del.setKeyStorePath(val)
      self
    end

### - (`Object`) ssl=(val)

Set whether the server or client will use SSL.

Parameters:

- val. (`Boolean`) —
  If true then ssl will be used.

Returns:

- [] self. So multiple invocations can be chained.

    26
    27
    28
    29

    # File 'src/main/ruby_scripts/core/ssl_support.rb', line 26

    def ssl=(val)
      @j_del.setSSL(val)
      self
    end

### - (`Object`) trust_store_password=(val)

Set the password for the SSL trust store. This method should only be used with the client in SSL mode, i.e. after #ssl= has been set to true.

Parameters:

- val. (`String`) —
  The password.

Returns:

- [] self. So multiple invocations can be chained.

    67
    68
    69
    70

    # File 'src/main/ruby_scripts/core/ssl_support.rb', line 67

    def trust_store_password=(val)
      @j_del.setTrustStorePassword(val)
      self
    end

### - (`Object`) trust_store_path=(val)

Set the path to the SSL trust store. This method should only be used with the client/server in SSL mode, i.e. after #ssl= has been set to true. The SSL trust store is a standard Java Key Store, and should contain the certificate(s) of the clients/servers that the server/client trusts. The SSL handshake will fail if the server provides a certificate that the client does not trust, or if client authentication is used, if the client provides a certificate the server does not trust.<p>

Parameters:

- val. (`String`) —
  The path to the trust store

Returns:

- [] self. So multiple invocations can be chained.

    58
    59
    60
    61

    # File 'src/main/ruby_scripts/core/ssl_support.rb', line 58

    def trust_store_path=(val)
      @j_del.setTrustStorePath(val)
      self
    end